> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wizcommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Inventories

> List Inventories



## OpenAPI

````yaml get /v1/inventories
openapi: 3.0.0
info:
  description: Open API's for WizCommerce API's
  title: WizCommerce Open API's
  termsOfService: https://wizcommerce.com/terms/
  contact:
    name: Tech Support
    url: https://help.wizcommerce.com/
    email: tech@wizcommerce.com
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: '1.0'
servers:
  - url: https://api.wizcommerce.com
    description: Production BaseURL
  - url: https://api-staging.sourcerer.tech
    description: Staging BaseURL
security: []
paths:
  /v1/inventories:
    get:
      tags:
        - Inventory
      summary: List Inventories
      description: List Inventories
      parameters:
        - example: created_at
          x-order: '1'
          name: sort_by
          in: query
          schema:
            type: string
            enum:
              - created_at
              - updated_at
              - product_id
              - id
            default: updated_at
        - example: 1
          x-order: '1'
          name: page
          in: query
          schema:
            type: integer
            minimum: 1
        - example: asc
          x-order: '2'
          name: sort
          in: query
          schema:
            type: string
            enum:
              - asc
              - desc
            default: desc
        - example: 25
          x-order: '2'
          name: page_size
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
        - example: SKU-001
          x-order: '4'
          name: sku
          in: query
          schema:
            type: string
        - x-order: '4'
          name: status
          in: query
          schema:
            type: string
            enum:
              - active
              - inactive
            default: active
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/dtos.SuccessPaginationResponse'
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/dtos.InventoryResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    dtos.SuccessPaginationResponse:
      type: object
      properties:
        data:
          x-order: '1'
        pagination:
          allOf:
            - $ref: '#/components/schemas/dtos.PaginationResponse'
          x-order: '2'
    dtos.InventoryResponse:
      type: object
      properties:
        id:
          description: UUID
          type: string
          x-order: '1'
          example: 01f5d171-d3e3-4b2b-bd57-0727194b5bed
        product_id:
          type: string
          x-order: '2'
          example: '1234567890'
        available_quantity:
          type: integer
          x-order: '3'
          example: 100
        sku:
          type: string
          x-order: '3'
          example: SKU-001
        reserved_quantity:
          type: integer
          x-order: '4'
          example: 100
        in_stock_quantity:
          type: integer
          x-order: '5'
          example: 100
        back_order_quantity:
          type: integer
          x-order: '6'
          example: 100
        inventory_status:
          type: string
          enum:
            - OUT_OF_STOCK
            - IN_STOCK
            - BACK_ORDER
          x-order: '8'
          example: IN_STOCK
        status:
          type: string
          enum:
            - active
            - inactive
          x-order: '9'
          example: active
        track_inventory:
          type: boolean
          x-order: '10'
          example: true
        on_order_details:
          type: array
          items:
            $ref: '#/components/schemas/dtos.OnOrderDetailsResponse'
          x-order: '11'
        in_transit_details:
          type: array
          items:
            $ref: '#/components/schemas/dtos.InTransitDetailsResponse'
          x-order: '12'
        notes:
          type: string
          x-order: '13'
          example: Notes
        back_order_allowed:
          type: boolean
          x-order: '14'
          example: true
        created_at:
          type: string
          x-order: '15'
          example: '2025-01-01T15:04:05Z'
        updated_at:
          type: string
          x-order: '16'
          example: '2025-01-01T15:04:05Z'
    errors.HttpError:
      type: object
      properties:
        code:
          type: string
          x-order: '1'
        message:
          type: string
          x-order: '2'
        details:
          type: array
          items:
            $ref: '#/components/schemas/errors.HttpErrorDetails'
          x-order: '3'
    dtos.PaginationResponse:
      type: object
      properties:
        total_records:
          type: integer
          x-order: '1'
          example: 100
        total_pages:
          type: integer
          x-order: '2'
          example: 10
        current_page:
          type: integer
          x-order: '3'
          example: 1
        next_page:
          type: integer
          x-order: '4'
          example: 2
        prev_page:
          type: integer
          x-order: '5'
          example: 0
        page_size:
          type: integer
          x-order: '6'
          example: 10
    dtos.OnOrderDetailsResponse:
      type: object
      properties:
        quantity:
          type: integer
          x-order: '1'
          example: 100
        date:
          type: string
          x-order: '2'
          example: '2025-01-01'
        identifier:
          type: string
          x-order: '3'
          example: '1234567890'
    dtos.InTransitDetailsResponse:
      type: object
      properties:
        quantity:
          type: integer
          x-order: '1'
          example: 100
        date:
          type: string
          x-order: '2'
          example: '2025-01-01'
        identifier:
          type: string
          x-order: '3'
          example: '1234567890'
    errors.HttpErrorDetails:
      type: object
      properties:
        field:
          type: string
          x-order: '1'
        reason:
          type: string
          x-order: '2'
  securitySchemes:
    ApiKeyAuth:
      description: API Key for authentication
      type: apiKey
      name: X-API-Key
      in: header

````